package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletResponse;
import org.sky.scientific.pojo.entity.Subject;
import org.sky.scientific.pojo.entity.SubjectEnterprise;
import org.sky.scientific.pojo.vo.SubjectVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 */
public interface ISubjectService extends IService<Subject> {

	List<SubjectVO> lazyList(Long parentId, Map<String, Object> subject);

	/**
	 * 企业会计科目列表
	 * @param page
	 * @param subjectEnterprise
	 * @return
	 */
	IPage<SubjectEnterprise> selectSubjectEnterpriseList(IPage<SubjectEnterprise> page, SubjectEnterprise subjectEnterprise);

	boolean submitSubject(Subject subject);

	boolean deleteSubject(Long subjectId);

	boolean importSubjectEnterprise(MultipartFile file);

	boolean submitSubjectEnterprise(SubjectEnterprise subjectEnterprise);

	boolean deleteBatchSubjectEnterprise(List< Long>ids);

	void exportSubjectEnterprise(HttpServletResponse response,SubjectEnterprise dto);

}
